@extends('front_end.layouts.app')

@section('page-title')
    {{ __('Article Page') }}
@endsection

@section('content')
    @include('front_end.sections.partision.header_section')

    <div class="article-wrapper">
        @foreach ($blogs as $blog)
            <section class="blog-page-banner common-banner-section"
            style="background-image:url({{ get_file( $page_json->article_page->section->image->image ?? 'themes/' .$currentTheme.'/assets/images/blog-banner.jpg') }});">
                <div class="container">
                    <div class="row">
                        <div class="col-md-6 col-12">
                            <div class="common-banner-content">
                                <ul class="blog-cat">
                                    <li class="active">{{__('Featured')}}</li>
                                    <li><b>{{__('Category:')}}</b>{{$blog->category->name}}</li>
                                    <li><b>{{__('Date:')}}</b> {{$blog->created_at->format('d M, Y ')}}</li>
                                </ul>
                                <div class="section-title">
                                    <h2>{{$blog->title}}</h2>
                                </div>
                                <a href="#" class="btn" tabindex="0">
                                    {{__('Read More')}}
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section class="article-section padding-top">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="about-user d-flex align-items-center">
                                <div class="abt-user-img">
                                    <img src="{{ asset('themes/'.$currentTheme.'/assets/images/john.png') }}">
                                </div>
                                <h6>
                                    <span>{{__('John Doe')}},</span>
                                    {{__('company.com')}}
                                </h6>
                                <div class="post-lbl"><b>{{ __('Category:')}}</b>{{$blog->category->name}}</div>
                                <div class="post-lbl"><b>{{ __('Date:')}}</b> {{$blog->created_at->format('d M, Y ')}}</div>
                            </div>
                            <div class="section-title">
                                <h2>{{ $blog->title }}</h2>
                            </div>
                        </div>
                        <div class="col-md-8 col-12">
                            <div class="aticleleftbar">
                                <h5>
                                    {{$blog->description}}
                                </h5>
                                <p>
                                    {!! html_entity_decode($blog->content) !!}
                                </p>
                                <div class="art-auther">
                                    <b>{{ __('John Doe')}}</b>, <a href="company.com">{{ __('company.com')}}</a>
                                </div>
                                <div class="art-auther">
                                    <b>{{__('Tags:')}}</b> {{$blog->category->name}}
                                </div>
                                <ul class="article-socials d-flex align-items-center">
                                    <li><span>{{__('Share:')}}</span></li>

                                    @for ($i = 0; $i < $section->footer->section->footer_link->loop_number ?? 1; $i++)
                                        <li>
                                            <a href="{!!$section->footer->section->footer_link->social_link->{$i} ?? '#' !!}">
                                                <img src=" {{  get_file($section->footer->section->footer_link->social_icon->{$i}->image ?? 'themes/' . $currentTheme . '/assets/images/youtube.svg', $currentTheme) }}"
                                                    style=" margin-bottom: 0px; width: 61%;">
                                            </a>
                                        </li>
                                    @endfor
                                </ul>
                            </div>
                        </div>
                        <div class="col-md-4 col-12">
                            <div class="articlerightbar blog-grid-section">
                                <div class="section-title">
                                    <h2>{{__('Related articles')}}</h2>
                                </div>
                                <div class="row blog-grid">
                                    @foreach ($datas->take(2) as $data)
                                        <div class="col-md-12 col-sm-6 col-12 blog-widget">
                                            <div class="blog-card  blog-itm">
                                                <div class="blog-card-inner card-inner">
                                                    <div class="blog-card-image">
                                                        <span class="label">{{$blog->category->name}}</span>
                                                        <a href="{{route('page.article',[$slug,$blog->id])}}">
                                                            <img src="{{get_file($blog->cover_image_path, $currentTheme)}}" class="default-img">
                                                        </a>
                                                    </div>
                                                    <div class="blog-card-content">
                                                        <div class="blog-card-author-name">
                                                            {{__('JOHN DOE')}} - {{$blog->created_at->format('d M,Y ')}}
                                                        </div>
                                                        <h4>
                                                            <a href="{{route('page.article',[$slug,$blog->id])}}"> {{$blog->title}}
                                                            </a>
                                                        </h4>
                                                        <p class="description">
                                                            {{ $blog->short_description }}
                                                        </p>
                                                        <a href="{{route('page.article',[$slug,$blog->id])}}" class=" btn">
                                                            {{__('Read More')}}
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section class="blog-section atricle-page padding-bottom padding-top">
                {!! \App\Models\Blog::ArticlePageBlog($currentTheme, $slug) !!}
            </section>
        @endforeach
    </div>

    @include('front_end.sections.partision.footer_section')
@endsection
