@extends('front_end.layouts.app')
@section('page-title')
    {{ __('Blog Page') }}
@endsection
@section('content')
    @include('front_end.sections.partision.header_section')

    <div class="blog-wrapper">
        <section class="blog-page-banner common-banner-section" 
        style="background-image:url({{ get_file( $page_json->blog_page->section->image->image ?? 'themes/' .$currentTheme.'/assets/images/blog-banner.jpg') }});">
            <div class="container">
                <div class="row">
                    <div class="col-md-6 col-12">
                        <div class="common-banner-content">
                            <div class="section-title">
                                <h2> {{  $page_json->blog_page->section->title->text ??  __('Blog && Articles') }} </h2>
                            </div>
                            <p> {{  $page_json->blog_page->section->description->text ??  __('The blog and article section serves as a treasure trove of valuable information.') }} </p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="blog-grid-section padding-top padding-bottom tabs-wrapper">
            <div class="container">
                <div class="section-title">
                    <div class="subtitle">{{__('ALL BLOGS')}}</div>
                    <h2>{{__('From Our Blog')}}</h2>
                </div>
                <div class="blog-head-row d-flex justify-content-between">
                    <div class="blog-col-left">
                        <ul class="d-flex tabs">
                            @foreach ($BlogCategory as $cat_key => $category)
                                <li class="tab-link on-tab-click {{ $cat_key == 0 ? 'active' : '' }}" data-tab="{{ $cat_key }}"><a href="javascript:;">{{ $category }}</a></li>
                            @endforeach
                        </ul>
                    </div>
                    <div class="blog-col-right d-flex align-items-center justify-content-end">
                        <span class="select-lbl"> {{ __('Sort by') }} </span>
                        <select class="position">
                            <option value="lastest"> {{ __('Lastest') }} </option>
                            <option value="new"> {{ __('New') }} </option>
                        </select>
                    </div>
                </div>

                @foreach ($BlogCategory as $cat_k => $category)
                    <div class="tabs-container">
                        <div id="{{ $cat_k }}" class="tab-content {{$cat_k == 0 ? 'active' : ''}}">
                            <div class="blog-grid-row row">
                                @foreach ($blogs as $blog)
                                    @if($cat_k == '0' ||  $blog->category_id == $cat_k)
                                        <div class="col-lg-3 col-md-4 col-sm-6 col-12 blog-card  blog-itm">
                                            <div class="blog-card-inner card-inner">
                                                <div class="blog-card-image">
                                                    <span class="label">{{$blog->category->name}}</span>
                                                    <a href="{{route('page.article',[$slug,$blog->id])}}">
                                                        <img src="{{get_file($blog->cover_image_path, $currentTheme)}}" class="default-img">
                                                    </a>
                                                </div>
                                                <div class="blog-card-content">
                                                    <div class="blog-card-author-name">
                                                        {{__('JOHN DOE')}} - {{$blog->created_at->format('d M,Y ')}}
                                                    </div>
                                                    <h4>
                                                        <a href="{{route('page.article',[$slug,$blog->id])}}"> {{$blog->title}}
                                                        </a>
                                                    </h4>
                                                    <p class="description">
                                                        {{ $blog->short_description }}
                                                    </p>
                                                    <a href="{{route('page.article',[$slug,$blog->id])}}" class=" btn">
                                                        {{__('Read More')}}
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    @endif
                                @endforeach
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </section>
    </div>

    @include('front_end.sections.partision.footer_section')
@endsection
