@foreach ($products as $product)
    @php
        $latestSales = \App\Models\Product::productSalesTag($currentTheme, $slug, $product->id);
    @endphp

    <div class="col-lg-4 col-md-6 col-sm-6 col-12">
        <div class=" product-card theme-colored-card">
        <div class="product-card-inner card-inner">
                                    <div class="card-top">
                                        {!! \App\Models\Product::productSalesPage($currentTheme, $slug, $product->id) !!}
                                        {!! \App\Models\Product::actionLinks($currentTheme, $slug, $product) !!}
                                    </div>
                                    <a href="{{ url($slug.'/product/'.$product->slug) }}" class="img-wrapper">
                                        <img src="{{ get_file($product->cover_image_path, $currentTheme) }}" alt="product">
                                    </a>
                                    <div class="card-body">
                                        <div class="top-content">
                                            <span class="d-flex justify-content-between align-items-center">
                                                <a href="#" class="names">{{!empty($product->ProductData) ? $product->ProductData->name : ''}}</a>
                                                <button class="like-btn wishlist-btn wishbtn-globaly" product_id="{{ $product->id }}"
                                                    in_wishlist="{{ $product->in_whishlist ? 'remove' : 'add' }}">
                                                    <svg class="wish-ic" xmlns="http://www.w3.org/2000/svg" width="9" height="8"
                                                        viewBox="0 0 9 8" fill="none">
                                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                                            d="M4.78325 1.76137C4.62497 1.92834 4.37503 1.92834 4.21675 1.76137L3.93349 1.46259C3.60195 1.11287 3.15407 0.899334 2.65909 0.899334C1.64238 0.899334 0.818182 1.80529 0.818182 2.92284C0.818182 3.99423 1.34582 4.87891 2.10754 5.6058C2.8699 6.33331 3.78139 6.81581 4.32599 7.06205C4.43986 7.11354 4.56014 7.11354 4.67401 7.06205C5.21861 6.8158 6.1301 6.33331 6.89246 5.6058C7.65418 4.87891 8.18182 3.99422 8.18182 2.92284C8.18182 1.80529 7.35761 0.899334 6.34091 0.899334C5.84594 0.899334 5.39805 1.11287 5.06651 1.46259L4.78325 1.76137ZM4.5 0.813705C4.02223 0.309733 3.37357 0 2.65909 0C1.19052 0 0 1.3086 0 2.92284C0 5.78643 2.8515 7.3678 4.01473 7.89376C4.328 8.03541 4.672 8.03541 4.98527 7.89376C6.1485 7.3678 9 5.78643 9 2.92284C9 1.3086 7.80948 0 6.34091 0C5.62643 0 4.97778 0.309733 4.5 0.813705Z"
                                                            fill="#FFF1D8" />
                                                    </svg>
                                                </button>
                                            </span>
                                            <h4>
                                                <a href="{{ url($slug.'/product/'.$product->slug) }}" class="names">
                                                    {{ $product->name }}
                                                </a>
                                            </h4>
                                        </div>
                                        <div class="bottom-content">
                                            <div class="product-detail">
                                                <p class="description">{{ strip_tags($product->description) }}</p>
                                            </div>
                                           
                                                @if ($product->variant_product == 0)
                                                    <div class="price">
                                                    {!! \App\Models\Product::getProductPrice($product, $store, $currentTheme) !!}
                                                    </div>
                                                @else
                                                    <div class="price">
                                                        <ins>{{ __('In Variant') }}</ins>
                                                    </div>
                                                @endif
                                           
                                            <a href="javascript:void(0)" class="btn w-100 addtocart-btn-cart addcart-btn-globaly" product_id="{{ $product->id }}" variant_id="0" qty="1">
                                                {{ __('Add To Cart') }}
                                                <svg xmlns="http://www.w3.org/2000/svg" width="11" height="11"
                                                    viewBox="0 0 11 11" fill="none">
                                                    <g clip-path="url(#clip0_33494_646)">
                                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                                            d="M2.54359 5.49983C2.41569 5.49983 2.31839 5.61468 2.33942 5.74085L2.73591 8.11982C2.80245 8.51905 3.14787 8.81166 3.55261 8.81166H6.54277C6.9475 8.81166 7.29292 8.51905 7.35946 8.11982L7.75595 5.74085C7.77698 5.61468 7.67969 5.49983 7.55178 5.49983H2.54359ZM1.81057 4.67188C1.55475 4.67188 1.36016 4.90158 1.40222 5.15391L1.91922 8.25593C2.0523 9.0544 2.74313 9.63962 3.55261 9.63962H6.54277C7.35224 9.63962 8.04307 9.0544 8.17615 8.25593L8.69315 5.15391C8.73521 4.90158 8.54062 4.67188 8.28481 4.67188H1.81057Z"
                                                            fill="#FFF1D8" />
                                                        <path
                                                            d="M4.22062 6.32812C3.99199 6.32812 3.80664 6.51347 3.80664 6.7421V7.57006C3.80664 7.79869 3.99199 7.98404 4.22062 7.98404C4.44925 7.98404 4.6346 7.79869 4.6346 7.57006V6.7421C4.6346 6.51347 4.44925 6.32812 4.22062 6.32812Z"
                                                            fill="#FFF1D8" />
                                                        <path
                                                            d="M5.87653 6.32812C5.6479 6.32812 5.46255 6.51347 5.46255 6.7421V7.57006C5.46255 7.79869 5.6479 7.98404 5.87653 7.98404C6.10517 7.98404 6.29051 7.79869 6.29051 7.57006V6.7421C6.29051 6.51347 6.10517 6.32812 5.87653 6.32812Z"
                                                            fill="#FFF1D8" />
                                                        <path
                                                            d="M4.51301 2.06608C4.67468 1.90441 4.67468 1.6423 4.51301 1.48063C4.35134 1.31896 4.08922 1.31896 3.92756 1.48063L2.27164 3.13654C2.10997 3.29821 2.10997 3.56033 2.27164 3.72199C2.43331 3.88366 2.69543 3.88366 2.8571 3.72199L4.51301 2.06608Z"
                                                            fill="#FFF1D8" />
                                                        <path
                                                            d="M5.58347 2.06608C5.4218 1.90441 5.4218 1.6423 5.58347 1.48063C5.74514 1.31896 6.00726 1.31896 6.16892 1.48063L7.82484 3.13654C7.98651 3.29821 7.98651 3.56033 7.82484 3.72199C7.66317 3.88366 7.40105 3.88366 7.23938 3.72199L5.58347 2.06608Z"
                                                            fill="#FFF1D8" />
                                                        <path fill-rule="evenodd" clip-rule="evenodd"
                                                            d="M7.94584 3.84358H2.15014C1.9215 3.84358 1.73616 4.02893 1.73616 4.25756C1.73616 4.48619 1.9215 4.67154 2.15014 4.67154H7.94584C8.17447 4.67154 8.35982 4.48619 8.35982 4.25756C8.35982 4.02893 8.17447 3.84358 7.94584 3.84358ZM2.15014 3.01562C1.46424 3.01562 0.908203 3.57166 0.908203 4.25756C0.908203 4.94346 1.46424 5.4995 2.15014 5.4995H7.94584C8.63174 5.4995 9.18777 4.94346 9.18777 4.25756C9.18777 3.57166 8.63174 3.01562 7.94584 3.01562H2.15014Z"
                                                            fill="#FFF1D8" />
                                                    </g>
                                                </svg>
                                            </a>
                                        </div>
                                    </div>
                                </div>
        </div>
    </div>
@endforeach
@php
    $page_no = !empty($page) ? $page : 1;
@endphp

<div class="d-flex justify-content-end col-12">
    <nav class="dataTable-pagination">
        <ul class="dataTable-pagination-list">
            <li class="pagination">
                {{ $products->onEachSide(0)->links('pagination::bootstrap-4') }}
            </li>
        </ul>
    </nav>
</div>
